Function
write
Saves records to a file.
write(file, memPtr, count)
write(file, scoreMatrix, meta)
write(file, scoreMatrix)
write(file, graph, nodeMap, edgeMap, tag)
write(file, graph, nodeMap, tag)
write(file, graph, tag)
write(file, fragStore, tag)
Include Headers
seqan/file.h, seqan/graph_types.h, seqan/score.h, seqan/store.h
Parameters

file | A File object. Types: File
memPtr | A pointer to the first source record in memory.
count | The amount of records to be written.
graph | The graph to write out. Types: Graph
nodeMap | A mapping from vertex descriptor to vertex label.
edgeMap | A mapping from edge descriptor to edge label.
tag | A tag to select the output format. Types: Amos message file, DotDrawing, Sam
fragStore | A fragment store. Types: FragmentStore

Remarks
The records are written at the position pointed by the current file pointer (see seek).
Return Values
A bool which is true on success.
Example Programs
File Format I/O
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:49